import COM.hugin.HAPI.*;

/**
 * Example file for giving parameters and running the BOBW file
 * 
 * @author Cecilie Be
 *
 */
public class MainBOBW {
	
	public MainBOBW() {
	}
	
	public static void main(String[] args) {
		MainBOBW mb = new MainBOBW();
		mb.run();
	}
	
	public void run() {
		String modelType = "plain";
		String trainingSet = "e:/trainingset_5perUser_Normalized_plain.dat";
		int numberOfTrainingCases = 4625;
		String testSet = "e:/testset_plain.dat";
		int numberOfTestCases = 925;
		int numberOfUsers = 925;
		int numberOfMovies = 1682;
		int comCatStates = 5;
		try {
			BOBW net = new BOBW(modelType,trainingSet,numberOfTrainingCases,testSet,numberOfTestCases,numberOfUsers,numberOfMovies,comCatStates);
			net.setNormalized(true);
			double[] results = net.runExternal();
			System.out.println("MAE: "+results[0]+", RMSE: "+results[1]);
			
		}
		catch(ExceptionHugin eh) {
			eh.printStackTrace();
		}
	}
	
}